test/nvmf: clean up host/aer.sh

Use the new nvmfappstart to simplify this script a
bit and bring it inline with the other nvmf scripts
that have been updated recently.

Also remove the comments about aer with temperature
threshold.  We use namespace notifications to test aer
now, so there's no need to try to resurrect the
temperature-based tests.

Signed-off-by: Jim Harris <james.r.harris@intel.com>
Change-Id: I9c66ed4c9456acb39d6c64d55153304eb6e07100

Reviewed-on: https://review.gerrithub.io/c/spdk/spdk/+/456706
Reviewed-by: Darek Stojaczyk <dariusz.stojaczyk@intel.com>
Reviewed-by: Ben Walker <benjamin.walker@intel.com>
Reviewed-by: Seth Howell <seth.howell5141@gmail.com>
Tested-by: SPDK CI Jenkins <sys_sgci@intel.com>
This commit is contained in:
Jim Harris 2019-06-03 15:49:22 -07:00 committed by Ben Walker
parent d53bfa7245
commit dcee8fb262

View File

@ -9,21 +9,11 @@ rpc_py="$rootdir/scripts/rpc.py"
set -e
nvmftestinit
timing_enter aer
timing_enter start_nvmf_tgt
nvmftestinit
nvmfappstart "-m 0xF"
$NVMF_APP -m 0xF &
nvmfpid=$!
trap "process_shm --id $NVMF_APP_SHM_ID; nvmftestfini; exit 1" SIGINT SIGTERM EXIT
waitforlisten $nvmfpid
$rpc_py nvmf_create_transport -t $TEST_TRANSPORT -u 8192
timing_exit start_nvmf_tgt
modprobe -v nvme-rdma
$rpc_py construct_malloc_bdev 64 512 --name Malloc0
$rpc_py nvmf_subsystem_create nqn.2016-06.io.spdk:cnode1 -a -s SPDK00000000000001 -m 2
@ -32,17 +22,6 @@ $rpc_py nvmf_subsystem_add_listener nqn.2016-06.io.spdk:cnode1 -t $TEST_TRANSPOR
$rpc_py get_nvmf_subsystems
# TODO: this aer test tries to invoke an AER completion by setting the temperature
#threshold to a very low value. This does not work with emulated controllers
#though so currently the test is disabled.
#$rootdir/test/nvme/aer/aer -r "\
# trtype:$TEST_TRANSPORT \
# adrfam:IPv4 \
# traddr:$NVMF_FIRST_TARGET_IP \
# trsvcid:$NVMF_PORT \
# subnqn:nqn.2014-08.org.nvmexpress.discovery"
AER_TOUCH_FILE=/tmp/aer_touch_file
rm -f $AER_TOUCH_FILE
@ -71,7 +50,6 @@ $rpc_py delete_nvmf_subsystem nqn.2016-06.io.spdk:cnode1
trap - SIGINT SIGTERM EXIT
nvmfcleanup
nvmftestfini
timing_exit aer